package com.zswl.dataservicestarter.controller;

import com.zswl.dataservicestarter.model.TokenModel;
import com.zswl.dataservicestarter.model.params.TokenParam;
import com.zswl.dataservicestarter.service.AppInfoService;
import com.zswl.dataservicestarter.utils.result.ResultContent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * 访问令牌 服务
 *
 * @author TRX
 * @date 2024/3/21
 */
@RequestMapping("/oauth")
@RestController
@Validated
public class OauthController {

    @Autowired
    AppInfoService appInfoService;

    /**
     * 得到Token
     *
     * @param param
     * @return
     */
    @RequestMapping(value = "token", method = {RequestMethod.POST})
    public ResultContent<TokenModel> token(@RequestBody TokenParam param) {
        return appInfoService.getToken(param);
    }

    /**
     * 生成一个 渠道
     *
     * @return
     */
    @RequestMapping(value = "addAppInfo", method = {RequestMethod.POST})
    public ResultContent addAppInfo() {
        return appInfoService.addAppInfo();
    }


}
